Subject: Re: [PATCH v2] r8152: Add support for setting MAC to system's Auxiliary MAC address

From: Andrew Lunn <[email-masked]>
Date: Thu, 2 Jun 2016 21:09:46 +0200

On Thu, Jun 02, 2016 at 07:04:32PM +0000, [email-masked] wrote:
> > -----Original Message-----
> > From: Andrew Lunn [mailto:[email-masked]]
> > Sent: Thursday, June 2, 2016 2:03 PM
> > To: Limonciello, Mario <[email-masked]>
> > Cc: [email-masked]; [email-masked]; linux-
> > [email-masked]; [email-masked]; linux-
> > [email-masked]; [email-masked]; [email-masked]
> > Subject: Re: [PATCH v2] r8152: Add support for setting MAC to system's
> > Auxiliary MAC address
> > 
> > > > And you want to check this for all Dell devices?  Please be model
> > > > specific, I doubt a bunch of Dell servers wants to run this code...
> > > >
> > >
> > > Tracking model specific is really going to turn into a giant list never ending
> > list.
> > > To drill down more specifically, I can match on chassis too.
> > 
> > Does Dell happen to use its own USB Vendor ID for the USB device in
> > the dock? You could go at this problem from the other direction if it
> > does have a unique vendor ID.
> > 
> >      Andrew
> 
> Unfortunately it's not a Dell specific VID/PID.  I'm asking around to find out
> if there is something else identifiable about this dock's NIC (maybe that r8152 
> can query).

lsusb -v

I assume there is a USB hub in the dock, maybe that has a Dell VID?
Going one level up the USB tree hierarchy should not be too hard.

      Andrew